
stages:
  - trigger

variables:
    CI_USER_REGISTRY: $CI_USER_REGISTRY
    CI_TOKEN_REGISTRY: $CI_TOKEN_REGISTRY
    CI_REGISTRY: $CI_REGISTRY
    GITLAB_USER: $GITLAB_USER
    GITLAB_ACCESS_TOKEN: $GITLAB_ACCESS_TOKEN
    GROUP: websites

trigger-gitops-dev:
  stage: trigger
  environment: dev
  variables:
    ENV: dev
  trigger:
    include:
      - project: 'platform-enginnering/devops/shared-libraries/remote-pipelines'
        ref: 'develop'
        file: 'gitops.gitlab-ci.yml'
    strategy: depend
  only:
    refs:
      - develop

trigger-gitops-prod:
  stage: trigger
  environment: prod
  variables:
    ENV: prod
  trigger:
    include:
      - project: 'platform-enginnering/devops/shared-libraries/remote-pipelines'
        ref: 'main'
        file: 'gitops.gitlab-ci.yml'
    strategy: depend
  only:
    refs:
      - prod